/*手机端通用获取商品列表*/
function get_cart_list(){
	$('.zhezhao').show();
	$('#shclProgress').show();
	var query = new Object();
	query.act_type = act_type;
	$.ajax({
		url: APP+"Mobile/PromotAct/get_cart_list",
		type: "post",
		data: query,
		dataType: "json",
		success: function (ret) {
			$('.zhezhao').hide();
			$('#shclProgress').hide();
			if (ret.status == 1) {
				$('#footer').html(ret.data);
			}
		}
	});
}
var querydata = new Object;
var page = 1;
function get_goods_list(id,filter,page){
	page=parseInt(page);if(!page)page=1;
	querydata['page']=page;
	if(filter=='cat_id'&&id){querydata[filter]=id;}//分类
	if(filter=='brand_id'&&id){querydata[filter]=id;}//品牌
	if(filter=='attr'&&id){querydata[filter]=id;}//属性
	if(filter=='label'&&id){querydata[filter]=id;}//标签
	if(filter=='order'&&id){querydata[filter]=id;}//排序
	if(filter=='keyword'&&id){querydata[filter]=id;}//关键字
	$.ajax({
		url: queryurl,
		type: "post",
		data: querydata,
		dataType: "json",
		success: function (ret) {
			//alert(JSON.stringify(ret.show));
			if (ret.status) {
				if(page==1){
					$('#guessList').html(ret.data);
				}else{
                    if(ret.show != 1){
                        $(".load_mores").hide();
                    }
					$('#guessList').append(ret.data);
				}
			}else{
				if(page==1){
                    $('#guessList').html('');
					$('#no-content').html('<div class="buy-none"><i class="hc-iconfont">&#xe70a;</i><h3>暂无数据</h3></div>');
				}
				//$.showSuccess('没有更多的数据了',1,'hc');
				showtoast('没有更多的数据了');
				var body = $('body').css("position");
				if(body=='relative'){
					$('body').css("position","");
				}
			}
		}
	});
}
